Bug 1471468 - [abrt] cinnamon-screensaver: on_client_setup_complete(): logindClient.py:61:on_client_setup_complete:TypeError: Argument 3 does not allow None as a value
[abrt] cinnamon-screensaver: on_client_setup_complete(): logindClient.py:61:o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:33ed75e410964c654db8a107976...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 03:07 EDT by alain.thiaville
Modified: 2017-11-10 22:06 EST (History)
4 users (show)

See Also:
Fixed In Version: cinnamon-screensaver-3.4.3-1.fc25 cinnamon-screensaver-3.4.3-1.fc26 cinnamon-screensaver-3.6.0-2.fc26 cinnamon-screensaver-3.4.3-1.fc27 cinnamon-screensaver-3.6.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-04 17:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (597 bytes, text/plain)
2017-07-16 03:07 EDT, alain.thiaville
no flags Details
File: cgroup (356 bytes, text/plain)
2017-07-16 03:07 EDT, alain.thiaville
no flags Details
File: cpuinfo (1.53 KB, text/plain)
2017-07-16 03:07 EDT, alain.thiaville
no flags Details
File: environ (2.13 KB, text/plain)
2017-07-16 03:07 EDT, alain.thiaville
no flags Details
File: mountinfo (2.96 KB, text/plain)
2017-07-16 03:07 EDT, alain.thiaville
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-16 03:07 EDT, alain.thiaville
no flags Details
File: open_fds (1.09 KB, text/plain)
2017-07-16 03:07 EDT, alain.thiaville
no flags Details

  None (edit)
Description alain.thiaville 2017-07-16 03:07:08 EDT
Description of problem:
dnf system upgrade fc26

Version-Release number of selected component:
cinnamon-screensaver-3.4.1-2.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: on_client_setup_complete
exception_type: TypeError
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.11.9-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1001

Truncated backtrace:
logindClient.py:61:on_client_setup_complete:TypeError: Argument 3 does not allow None as a value

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/dbusdepot/baseClient.py", line 58, in _on_proxy_ready
    self.on_client_setup_complete()
  File "/usr/share/cinnamon-screensaver/dbusdepot/logindClient.py", line 61, in on_client_setup_complete
    None)
TypeError: Argument 3 does not allow None as a value

Local variables in innermost frame:
id_suffix: ''
self: <logindClient.LogindClient object at 0x7fa428542510 (dbusdepot+logindClient+LogindClient at 0x560ec3b0e660)>
Comment 1 alain.thiaville 2017-07-16 03:07:13 EDT
Created attachment 1299247 [details]
File: backtrace
Comment 2 alain.thiaville 2017-07-16 03:07:14 EDT
Created attachment 1299248 [details]
File: cgroup
Comment 3 alain.thiaville 2017-07-16 03:07:15 EDT
Created attachment 1299249 [details]
File: cpuinfo
Comment 4 alain.thiaville 2017-07-16 03:07:17 EDT
Created attachment 1299250 [details]
File: environ
Comment 5 alain.thiaville 2017-07-16 03:07:19 EDT
Created attachment 1299251 [details]
File: mountinfo
Comment 6 alain.thiaville 2017-07-16 03:07:20 EDT
Created attachment 1299252 [details]
File: namespaces
Comment 7 alain.thiaville 2017-07-16 03:07:22 EDT
Created attachment 1299253 [details]
File: open_fds
Comment 8 alain.thiaville 2017-07-18 01:51:14 EDT
Similar problem has been detected:

login ater poweroff

reporter:       libreport-2.9.1
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: on_client_setup_complete
exception_type: TypeError
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.11.9-300.fc26.x86_64
package:        cinnamon-screensaver-3.4.1-2.fc26
reason:         logindClient.py:61:on_client_setup_complete:TypeError: Argument 3 does not allow None as a value
runlevel:       N 5
type:           Python3
uid:            1001
Comment 9 Fedora Update System 2017-10-12 07:53:20 EDT
cinnamon-screensaver-3.4.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e466aa2ed
Comment 10 Fedora Update System 2017-10-12 07:53:37 EDT
cinnamon-screensaver-3.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3f44186174
Comment 11 Fedora Update System 2017-10-12 07:53:53 EDT
cinnamon-screensaver-3.4.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-553bf0cce4
Comment 12 Fedora Update System 2017-10-12 07:54:09 EDT
cinnamon-screensaver-3.4.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-efdf564c2b
Comment 13 Fedora Update System 2017-10-13 00:20:16 EDT
cinnamon-screensaver-3.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3f44186174
Comment 14 Fedora Update System 2017-10-13 00:24:25 EDT
cinnamon-screensaver-3.4.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e466aa2ed
Comment 15 Fedora Update System 2017-10-13 00:51:09 EDT
cinnamon-screensaver-3.4.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-efdf564c2b
Comment 16 Fedora Update System 2017-10-13 02:24:50 EDT
cinnamon-screensaver-3.4.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-553bf0cce4
Comment 17 Fedora Update System 2017-10-25 18:58:11 EDT
nemo-extensions-3.6.0-1.fc26 nemo-3.6.2-1.fc26 cinnamon-3.6.0-1.fc26 cinnamon-control-center-3.6.0-1.fc26 cinnamon-session-3.6.0-1.fc26 cinnamon-screensaver-3.6.0-2.fc26 muffin-3.6.0-1.fc26 cinnamon-settings-daemon-3.6.0-1.fc26 cinnamon-translations-3.6.0-1.fc26 cinnamon-desktop-3.6.0-1.fc26 xapps-1.0.4-1.fc26 cinnamon-menus-3.6.0-1.fc26 cjs-3.6.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca
Comment 18 Fedora Update System 2017-10-25 18:58:36 EDT
nemo-extensions-3.6.0-1.fc27 nemo-3.6.2-1.fc27 cinnamon-3.6.0-1.fc27 cinnamon-control-center-3.6.0-1.fc27 cinnamon-session-3.6.0-1.fc27 cinnamon-screensaver-3.6.0-2.fc27 muffin-3.6.0-1.fc27 cinnamon-settings-daemon-3.6.0-1.fc27 cinnamon-translations-3.6.0-1.fc27 cinnamon-desktop-3.6.0-1.fc27 xapps-1.0.4-1.fc27 cinnamon-menus-3.6.0-1.fc27 cjs-3.6.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a0c3ec5ec
Comment 19 Fedora Update System 2017-10-25 21:34:37 EDT
cinnamon-3.6.0-1.fc26, cinnamon-control-center-3.6.0-1.fc26, cinnamon-desktop-3.6.0-1.fc26, cinnamon-menus-3.6.0-1.fc26, cinnamon-screensaver-3.6.0-2.fc26, cinnamon-session-3.6.0-1.fc26, cinnamon-settings-daemon-3.6.0-1.fc26, cinnamon-translations-3.6.0-1.fc26, cjs-3.6.0-1.fc26, muffin-3.6.0-1.fc26, nemo-3.6.2-1.fc26, nemo-extensions-3.6.0-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca
Comment 20 Fedora Update System 2017-10-26 16:37:43 EDT
cinnamon-3.6.0-1.fc26 cinnamon-control-center-3.6.0-1.fc26 cinnamon-desktop-3.6.0-1.fc26 cinnamon-menus-3.6.0-1.fc26 cinnamon-screensaver-3.6.0-2.fc26 cinnamon-session-3.6.0-1.fc26 cinnamon-settings-daemon-3.6.0-1.fc26 cinnamon-translations-3.6.0-1.fc26 cjs-3.6.0-1.fc26 muffin-3.6.0-1.fc26 nemo-3.6.2-1.fc26 nemo-extensions-3.6.0-1.fc26 xapps-1.0.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca
Comment 21 Fedora Update System 2017-10-27 11:05:37 EDT
cinnamon-screensaver-3.4.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2017-10-27 11:38:41 EDT
cinnamon-3.6.0-1.fc26, cinnamon-control-center-3.6.0-1.fc26, cinnamon-desktop-3.6.0-1.fc26, cinnamon-menus-3.6.0-1.fc26, cinnamon-screensaver-3.6.0-2.fc26, cinnamon-session-3.6.0-1.fc26, cinnamon-settings-daemon-3.6.0-1.fc26, cinnamon-translations-3.6.0-1.fc26, cjs-3.6.0-1.fc26, mintlocale-1.4.4-1.fc26, muffin-3.6.0-1.fc26, nemo-3.6.2-2.fc26, nemo-extensions-3.6.0-1.fc26, xapps-1.0.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca
Comment 23 Fedora Update System 2017-10-27 13:05:46 EDT
cinnamon-screensaver-3.4.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2017-10-27 14:48:53 EDT
cinnamon-3.6.0-1.fc27, cinnamon-control-center-3.6.0-1.fc27, cinnamon-desktop-3.6.0-1.fc27, cinnamon-menus-3.6.0-1.fc27, cinnamon-screensaver-3.6.0-2.fc27, cinnamon-session-3.6.0-1.fc27, cinnamon-settings-daemon-3.6.0-1.fc27, cinnamon-translations-3.6.0-1.fc27, cjs-3.6.0-1.fc27, mintlocale-1.4.4-1.fc27, muffin-3.6.0-1.fc27, nemo-3.6.2-2.fc27, nemo-extensions-3.6.0-1.fc27, xapps-1.0.4-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a0c3ec5ec
Comment 25 Fedora Update System 2017-11-04 17:09:01 EDT
cinnamon-3.6.0-1.fc26, cinnamon-control-center-3.6.0-1.fc26, cinnamon-desktop-3.6.0-1.fc26, cinnamon-menus-3.6.0-1.fc26, cinnamon-screensaver-3.6.0-2.fc26, cinnamon-session-3.6.0-1.fc26, cinnamon-settings-daemon-3.6.0-1.fc26, cinnamon-translations-3.6.0-1.fc26, cjs-3.6.0-1.fc26, mintlocale-1.4.4-1.fc26, muffin-3.6.0-1.fc26, nemo-3.6.2-2.fc26, nemo-extensions-3.6.0-1.fc26, xapps-1.0.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2017-11-10 21:51:55 EST
cinnamon-screensaver-3.4.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2017-11-10 22:06:17 EST
cinnamon-3.6.0-1.fc27, cinnamon-control-center-3.6.0-1.fc27, cinnamon-desktop-3.6.0-1.fc27, cinnamon-menus-3.6.0-1.fc27, cinnamon-screensaver-3.6.0-2.fc27, cinnamon-session-3.6.0-1.fc27, cinnamon-settings-daemon-3.6.0-1.fc27, cinnamon-translations-3.6.0-1.fc27, cjs-3.6.0-1.fc27, mintlocale-1.4.4-1.fc27, muffin-3.6.0-1.fc27, nemo-3.6.2-2.fc27, nemo-extensions-3.6.0-1.fc27, xapps-1.0.4-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.